import { apiClient } from '../lib/apiClient';
import { Filter, ExpertsData, ExpertDetails } from '../types/experts';

export const getExpertsList = async (filter: Filter, locale: string) => {
    const response = await apiClient.post(
        '/home/coachsearch',
    { ...filter },
        {
            headers: {
                'X-User-Language': locale,
                Authorization: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImN0eSI6IkpXVCJ9.eyJuYW1laWQiOiIxNzIiLCJuYmYiOjE3MDM2ODMyMDgsImV4cCI6MTczNTIxOTIwOCwiaWF0IjoxNzAzNjgzMjA4fQ.KgnYfKO7oVFLlDuKhfyNN6RAaXKdeSzJd7F4r6_15AA'
            }
        }
    );

    return response.data?.coaches as ExpertsData || null;
};

export const getExpertById = async (id: string, locale: string) => {
    const response = await apiClient.post(
        '/home/coachdetails',
        { id },
        {
            headers: {
                'X-User-Language': locale,
                Authorization: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImN0eSI6IkpXVCJ9.eyJuYW1laWQiOiIxNzIiLCJuYmYiOjE3MDM2ODMyMDgsImV4cCI6MTczNTIxOTIwOCwiaWF0IjoxNzAzNjgzMjA4fQ.KgnYfKO7oVFLlDuKhfyNN6RAaXKdeSzJd7F4r6_15AA'
            }
        }
    );

    return response.data as ExpertDetails || null;
};
