import React from 'react';
import styled from 'styled-components';
import { Rate as AntdRate } from 'antd';

const Rate = styled(AntdRate)`
    display: inline-flex !important;
    gap: 4px;
    
    li {
        margin-inline-end: 0 !important;
        padding: 5px 0 0 !important;
        
        &.ant-rate-star-full span {
            color: #ffbd00 !important;
        }
        
        &.ant-rate-star-zero span {
            color: #c4dfe6 !important;
        }
    }
`;

export const CustomRate = (props: any) => (
    <Rate {...props} />
);
