export type Tag = {
    id: number;
    groupId: number;
    name: string
    couchCount?: number;
    group?: string | null;
};

export type ThemeGroups = {
    id: number;
    name: string;
    tags: Tag[];
};

export type SearchData = {
    themesGroups: ThemeGroups[],
    sessionCostMin: number;
    sessionCostMax: number;
    sessionDurationMin: number;
    sessionDurationMax: number;
};
