import { AxiosResponse } from 'axios';
import { apiClient } from '../lib/apiClient';

export const getAuth = (login: string, password: string, locale: string ): Promise<AxiosResponse<{ jwtToken: string }>> => (
    apiClient.post(
        '/auth/login',
        { login, password },
        {
            headers: {
                'X-User-Language': locale
            }
        }
    )
);
