import React from 'react';
import type { Metadata } from 'next';
import {useTranslations} from "next-intl";

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Help & Support',
    description: 'Bbuddy desc help & support'
};

export default function Support() {
    const t = useTranslations('Account.Support');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{t('title')}</li>
            </ol>
            <div className="base-text">
                some text
            </div>
        </>
    );
}
