import createMiddleware from 'next-intl/middleware';
import { ALLOWED_LOCALES, DEFAULT_LOCALE, LOCALE_PREFIX } from './constants/locale';

export default createMiddleware({
    locales: ALLOWED_LOCALES,
    localePrefix: LOCALE_PREFIX,
    defaultLocale: DEFAULT_LOCALE
});

export const config = {
    matcher: ['/', '/(en|ru|de|it|es|fr)/:path*']
};
